<?php
  session_name('GigKalender');
  session_start();
  
  // PHP-Fehlermeldungen unterbinden
  error_reporting(0); // Alle Fehlermeldungen aktivieren '6143'

  include("gigkalender.ini");
  include("includes/funktionen.inc");

  if (isset($_POST['login']))
  {
    $userid=getUID($_POST['username'], $_POST['userpass']);
    if ($userid==true) { login($userid); }
  }

  $language = getCurrentUserVar('UserLanguage');
  if ($language == '') { $language = 'english'; }
  $language = 'languages/'.$language.'.inc';
  include($language);

  $Message = '';
  if (isset($_POST['login']))
  {
    $userid=getUID($_POST['username'], $_POST['userpass']);
    if (!$userid) { $Message = '<div class="Fehlermeldung">'.$L_071.'</div>'; }
  }

  if (isset($_POST['logout']))
  {
    logout();
    $Message = '<div class="Fehlermeldung">'.$L_004.'</div>';
  }

  $timer = startTime();

  $Submenue = $_REQUEST['submenue'];
  if (isset($_REQUEST['inhalt'])) { $Inhalt = $_REQUEST['inhalt']; }
  else { $Inhalt = ""; }
  
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta name="generator" content="HTML Tidy for Windows (vers 14 February 2006), see www.w3.org" />
    <link rel="stylesheet" type="text/css" media="screen, print" href="gigkalender.css" />
    <link rel="stylesheet" type="text/css" media="print" href="gigkalender_print.css" />
    <?php 
      if ( $Inhalt =='showAllGigs' ) { echo '<link rel="stylesheet" type="text/css" media="print" href="gigkalender_print_sw.css" />'; }
      else { echo '<link rel="stylesheet" type="text/css" media="print" href="gigkalender_print_color.css" />'; }
    ?> 
    <?php
      if (isset($_POST['http-equiv']))
      { echo '<meta http-equiv="refresh" content="'.getSetup(SetupRefreshtime).'; URL=index.php?submenue='.$_REQUEST['submenue'].'&inhalt='.$_POST['http-equiv'].'">'; }
    ?>
    <link rel="shortcut icon" href="favicon.ico" />
    <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />
    <title><?php echo $L_019; ?></title>
  </head>
  <body>
    <div id="Box">
      <div class="Headline"><?php echo $L_019; ?></div>
        <?php echo $Message; include("login.php"); ?>
      <div id="Box_Navigation">
        <?php
          if (loggedIn())
  	 {
            echo '<div id="Hauptmenue">';
            include("includes/menue.php");
            echo '</div>';
            echo '<div id="Submenue">';
  	    if ($Submenue!="") { include "submenues/".$Submenue.".php"; }
            echo '</div>';
          }
        ?>
      </div>
      <div id="Box_Inhalt">
        <?php
          if (loggedIn())
  	      {
            if ($Inhalt!="") { include($Submenue.'/'.$Inhalt.'.php'); }
          }
        ?>
      </div>
      <div id="Box_Footer">
        <?php include("footer.php"); ?>
      </div>
    </div>
  </body>
</html>